function CorrMat_iLI_CECE_CBCB_CECB(sub_name, DataPath, Output)
% clear;clc;

%%% Parameters Setting
% DataPath='../Example/InputData';
% Output='../Example/iLI_Results';
% SubIDs=importdata('/autofs/space/bidlin3_002/users/GSP_100subs/DataProcessed/list_GSP100.txt');
load('iLI_CB_FSnonlinear2mm_ROIr8mm.mat');

%%% Correlation Matrix Compute
% for sub_ind=1:length(SubIDs)
%     sub_ind
%     sub_name=SubIDs{sub_ind}
% sub_name='SUBID001';
    
    mkdir([Output '/iLI_Results/CorrMat_for_iLI/' sub_name]);

    %%% Cerebella-Cerebella
    % Cerebella Volume Data Load
    File_tmp=dir([DataPath '/' sub_name '/Volume_Data/' sub_name '*_Preprocessed_FS2mm.nii.gz']);
    SubData_tmp=[];
    for bld_ind=1:length(File_tmp)
        hdr=MRIread([DataPath '/' sub_name '/Volume_Data/' File_tmp(bld_ind).name]);
        vol_tmp=hdr.vol;
        vol_tmp=reshape(vol_tmp,size(vol_tmp,1)*size(vol_tmp,2)*size(vol_tmp,3),size(vol_tmp,4));
        SubData_tmp=[SubData_tmp, vol_tmp];
        clear vol_tmp hdr;
    end
    
    % CB ROI Mean Signal
    for roi_ind=1:length(iLI_CB_FSnonlinear2mm_ROIr8mm.Left_ROIs)
%         roi_ind
        CB_ROI_Mean_Signal.LH(:,roi_ind)=mean(SubData_tmp(iLI_CB_FSnonlinear2mm_ROIr8mm.Left_ROIs{roi_ind},:));
        CB_ROI_Mean_Signal.RH(:,roi_ind)=mean(SubData_tmp(iLI_CB_FSnonlinear2mm_ROIr8mm.Right_ROIs{roi_ind},:));
    end
%     FileName=[Output '/' sub_name '/CB_ROI_Mean_Signal.mat'];
%     save(FileName, 'CB_ROI_Mean_Signal');
    clear SubData_tmp;

    % CB-CB Correlation Matrix
    CBCB_ROI_CorrMat.LH_LH=corr(CB_ROI_Mean_Signal.LH);
    CBCB_ROI_CorrMat.LH_RH=corr(CB_ROI_Mean_Signal.LH,CB_ROI_Mean_Signal.RH);
    CBCB_ROI_CorrMat.RH_LH=corr(CB_ROI_Mean_Signal.RH,CB_ROI_Mean_Signal.LH);
    CBCB_ROI_CorrMat.RH_RH=corr(CB_ROI_Mean_Signal.RH);
    FileName=[Output '/iLI_Results/CorrMat_for_iLI/' sub_name '/CBCB_ROI_CorrMat.mat'];
    save(FileName, 'CBCB_ROI_CorrMat');
    
    %%% Cerebrum-Cerebrum
    % Cerebrum Surface Data Load
    File_tmp=dir([DataPath '/' sub_name '/Surface_Data/lh.*_Preprocessed_LRSYM_FS3.mgh']);
    SubData_tmp=[];
    for bld_ind=1:length(File_tmp)
%         bld_ind
    
        vol_tmp=load_mgh([DataPath '/' sub_name '/Surface_Data/' File_tmp(bld_ind).name]);
        SubData_tmp=[SubData_tmp, vol_tmp];
        clear vol_tmp;
    end
    CE_ROI_Mean_Signal.LH=SubData_tmp';
    clear SubData_tmp;
    
    File_tmp=dir([DataPath '/' sub_name '/Surface_Data/rh.*_Preprocessed_LRSYM_FS3.mgh']);
    SubData_tmp=[];
    for bld_ind=1:length(File_tmp)
%         bld_ind
    
        vol_tmp=load_mgh([DataPath '/' sub_name '/Surface_Data/' File_tmp(bld_ind).name]);
        SubData_tmp=[SubData_tmp, vol_tmp];
        clear vol_tmp;
    end
    CE_ROI_Mean_Signal.RH=SubData_tmp';
    clear SubData_tmp;
    
    % CE-CE Correlation Matrix
    CECE_ROI_CorrMat.LH_LH=corr(CE_ROI_Mean_Signal.LH);
    CECE_ROI_CorrMat.LH_RH=corr(CE_ROI_Mean_Signal.LH,CE_ROI_Mean_Signal.RH);
    CECE_ROI_CorrMat.RH_LH=corr(CE_ROI_Mean_Signal.RH,CE_ROI_Mean_Signal.LH);
    CECE_ROI_CorrMat.RH_RH=corr(CE_ROI_Mean_Signal.RH);
    FileName=[Output '/iLI_Results/CorrMat_for_iLI/' sub_name '/CECE_ROI_CorrMat.mat'];
    save(FileName, 'CECE_ROI_CorrMat');
    
    % CE-CB Correlation Matrix
    CECB_ROI_CorrMat.LH_RH=corr(CE_ROI_Mean_Signal.LH,CB_ROI_Mean_Signal.RH);
    CECB_ROI_CorrMat.RH_LH=corr(CE_ROI_Mean_Signal.RH,CB_ROI_Mean_Signal.LH);
    FileName=[Output '/iLI_Results/CorrMat_for_iLI/' sub_name '/CECB_ROI_CorrMat.mat'];
    save(FileName, 'CECB_ROI_CorrMat');
% end











